#ifndef M_ARRAY_H
#define M_ARRAY_H
/* Pxys - An IRC ProxyScan, m_array.h
 * 
 * Copyright (C) 2001,2002 Stephane Thiell <mbuna@undernet.org>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * 
 * $Id: m_array.h,v 1.6 2002/03/26 10:07:44 mbuna Exp $
 */


#include "m_structs.h"



/* Prototypes */

extern void array_init(), array_destroy();

extern void array_addclient();
extern void array_delclient(const char *numnick);
extern void array_purgeserv(unsigned char yy);
extern void array_nickchange(const char *numnick, const char *newnick);
extern void array_fetchitem(scanthread_s * th);
extern long array_countclient_from_ip(struct in_addr *addr);
extern struct Client * array_findclient_from_numeric(const char *numnick);
extern struct Client * array_findclient_from_nick(const char *nick);




#endif  /* M_ARRAY_H */
